MentorAgent Docs
Menu

Questa pagina non è ancora tradotta in italiano: qui la trovi in inglese.

ReferencePackage: Novior.MentorAgent.Server

MentorSseEndpoint.ChatRequest record

The MentorSseEndpoint.ChatRequest record of Novior.MentorAgent.Server.Endpoints: Request body of POST /mentor/chat.

On this page

Request body of POST /mentor/chat.

Namespace: Novior.MentorAgent.Server.Endpoints. Package: Novior.MentorAgent.Server.

public sealed record MentorSseEndpoint.ChatRequest : IEquatable<MentorSseEndpoint.ChatRequest>

Terminal
dotnet add package Novior.MentorAgent.Server

public ChatRequest(string Message, IReadOnlyList<MentorAttachment>? Attachments = null)

Request body of POST /mentor/chat.

public IReadOnlyList<MentorAttachment>? Attachments { get; init; }

public string? Language { get; init; }

The language of the turn: the name ("Italian") or the ISO code ("it") of a MentorLanguage, in any case. Anything else, or none, is MentorOptions.Language.

public string Message { get; init; }